Description

Python script to import an XML file into a PostgreSQL database

History

#1 - 11/17/2011 10:47 AM - Aaron Marcuse-Kubitza

- Description updated

#2 - 11/18/2011 03:24 PM - Aaron Marcuse-Kubitza
- % Done changed from 40 to 80

#3 - 11/21/2011 02:20 PM - Aaron Marcuse-Kubitza

The script is on nimoy at /home/bien_shared/svn/scripts/xml2db. You can run the demo at /home/bien_shared/svn/scripts/xml2db/test (which uses a
sample VegBank-exported XML file). The XML format is compatible with VegBank XML, so data can easily be imported from VegBank.

Note that the demo doesn't commit changes so that it can be re-run. To commit changes when running xml2db, use env commit=1 xml2db ... instead.
Future improvements for the script would include supporting VegX-style XML references in addition to the current VegBank-style references.

#4 - 11/30/2011 01:37 PM - Aaron Marcuse-Kubitza

- Subject changed from XML to database conversion script to XML to database conversion script (merged into CSV-XML-database mapping script)

- Description updated
- % Done changed from 80 to 90

Merged into CSV-XML-database mapping script

#5 - 12/06/2011 04:31 PM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 90 to 100
